CFMutableDictionary Reference

## Detailed Description

## Typedefs

typedef struct __CFDictionary * | CFMutableDictionaryRef

## Creating a Mutable Dictionary

CFMutableDictionaryRef | CFDictionaryCreateMutable (CFAllocatorRef allocator, CFIndex capacity, const CFDictionaryKeyCallBacks *keyCallBacks, const CFDictionaryValueCallBacks *valueCallBacks)
CFMutableDictionaryRef | CFDictionaryCreateMutableCopy (CFAllocatorRef allocator, CFIndex capacity, CFDictionaryRef theDict)

## Modifying a Dictionary

void | CFDictionaryAddValue (CFMutableDictionaryRef theDict, const void *key, const void *value)
void | CFDictionaryRemoveAllValues (CFMutableDictionaryRef theDict)
void | CFDictionaryRemoveValue (CFMutableDictionaryRef theDict, const void *key)
void | CFDictionaryReplaceValue (CFMutableDictionaryRef theDict, const void *key, const void *value)
void | CFDictionarySetValue (CFMutableDictionaryRef theDict, const void *key, const void *value)